Developer Documentation

Signals | Public Member Functions | List of all members
Viewer::ViewerProperties Class Reference
Inheritance diagram for Viewer::ViewerProperties:

## Signals
void | updated ()
| This signal is emitted when the configuration has been changed. More...
void | drawModeChanged (int _viewerId)
| This signal is emitted when the drawmode changed. More...
void | getPickMode (std::string &_mode)
void | setPickMode (const std::string &_mode)
void | getActionMode (Viewer::ActionMode &_am)
void | setActionMode (const Viewer::ActionMode _am)

## Public Member Functions
| ViewerProperties (int _id)
std::string | pickMode ()
| get active pick mode
void | pickMode (const std::string &_name)
| set the pickMode
Viewer::ActionMode | actionMode ()
| get the action mode
void | actionMode (const Viewer::ActionMode _am)
| set active action mode

## Draw Mode States
ACG::SceneGraph::DrawModes::DrawMode | currentDrawMode_
| set draw mode (No test if this mode is available!)
void | drawMode (ACG::SceneGraph::DrawModes::DrawMode _mode)
| set draw mode (No test if this mode is available!)
ACG::SceneGraph::DrawModes::DrawMode | drawMode ()
| get current draw mode

## Snapshot settings
QString | snapshotName_
QString | snapshotFileType_
int | snapshotCounter_
void | snapshotBaseFileName (const QString &_fname)
void | snapshotFileType (const QString &_type)
void | snapshotCounter (const int _counter)
QString | snapshotFileType ()
QString | snapshotName ()
int | snapshotCounter ()

## Mouse Wheel Settings
double | wZoomFactor_
| Zoom factor when using mouse wheel.
double | wZoomFactorShift_
| Zoom factor when using mouse wheel.
bool | wInvert_
| Zoom factor when using mouse wheel.
double | wheelZoomFactor ()
| Zoom factor when using mouse wheel.
double | wheelZoomFactorShift ()
| Zoom factor when using mouse wheel and pressing shift.
void | wheelZoomFactor (double _factor)
| Set zoom factor when using mouse wheel.
void | wheelZoomFactorShift (double _factor)
| Set zoom factor when using mouse wheel and pressing shift.
bool | wheelInvert ()
| Invert mouse wheel direction?
void | wheelInvert (bool _invert)
| Invert mouse wheel direction.

## Rendering Settings
bool | CCWFront_
| Pointer to the glState of the Viewer.
ACG::Vec4f | backgroundColor_
| Pointer to the glState of the Viewer.
int | locked_
| Pointer to the glState of the Viewer.
bool | backFaceCulling_
| Pointer to the glState of the Viewer.
bool | twoSidedLighting_
| Pointer to the glState of the Viewer.
bool | multisampling_
| Pointer to the glState of the Viewer.
bool | mipmapping_
| Pointer to the glState of the Viewer.
bool | animation_
| Pointer to the glState of the Viewer.
ACG::GLState * | glState_
| Pointer to the glState of the Viewer.
ViewObjectMarker * | objectMarker_
| Pointer to the glState of the Viewer.
int | currentViewingDirection_
| Pointer to the glState of the Viewer.
bool | rotationLocked_
| Pointer to the glState of the Viewer.
ACG::GLState & | glState ()
| Get the glState of the Viewer.
const ACG::GLState & | glState () const
| Pointer to the glState of the Viewer.
void | setglState (ACG::GLState *_glState)
| Pointer to the glState of the Viewer.
int | currentViewingDirection ()
| Pointer to the glState of the Viewer.
void | currentViewingDirection (int _dir)
| Pointer to the glState of the Viewer.
bool | rotationLocked ()
| Pointer to the glState of the Viewer.
void | rotationLocked (bool _lock)
| Pointer to the glState of the Viewer.
bool | isCCWFront ()
void | ccwFront ()
| Set counter clockwise orientation as front.
void | cwFront ()
| Set clockwise orientation as front.
ACG::Vec4f | backgroundColor ()
| Get current background color.
QRgb | backgroundColorRgb ()
| Get current background color.
QColor | backgroundQColor ()
| Get current background color.
void | backgroundColor (ACG::Vec4f _color)
void | backgroundColor (QRgb _color)
void | backgroundColor (QColor _color)
void | lockUpdate ()
void | unLockUpdate ()
| Unlock display locked by updateLock().
bool | updateLocked ()
bool | backFaceCulling ()
| Get current state of backface culling.
void | backFaceCulling (bool _state)
| Enable or disable backface culling.
void | twoSidedLighting (bool _state)
| set 2-sided lighting on/off
bool | twoSidedLighting ()
| is 2-sided lighing enabled?
void | multisampling (bool _state)
| set multisampling on/off
bool | multisampling ()
| is multisampling enabled?
void | mipmapping (bool _state)
| set mipmapping on/off
bool | mipmapping ()
| is mipmapping enabled?
void | animation (bool _state)
| set 2-sided lighting on/off
bool | animation ()
| is 2-sided lighing enabled?
void | objectMarker (ViewObjectMarker *_marker)
| set object marker for viewer
ViewObjectMarker * | objectMarker ()
| current object marker

## Projection controls and information
double | orthoWidth_
| Width of the gl scene in orthogonal mode ( defaults to 2.0 )
double | nearPlane_
| Distance to near Plane.
double | farPlane_
| distance to far Plane
ACG::Vec3d | sceneCenter_
| Current scene center (rendering center)
double | sceneRadius_
| Radius of the current scene.
ACG::Vec3d | trackballCenter_
| Virtual trackball center (rotation center when using mouse)
double | trackballRadius_
| trackball radius (rotation sphere when using mouse)
double | orthoWidth ()
| Get width of the gl scene in orthogonal projection mode (defaults to 2.0)
void | orthoWidth (double _width)
| Set the width of the gl scene in orthogonal projection mode.
double | nearPlane ()
| Return distance to near Plane.
void | setPlanes (double _near, double _far)
| Set near and far plane at the same time.
double | farPlane ()
| Return distance to far Plane.
ACG::Vec3d | sceneCenter ()
| Get current scene center (rendering center)
void | sceneCenter (ACG::Vec3d _center)
| Set current scene center (rendering center)
double | sceneRadius ()
| Get radius of the current scene.
void | sceneRadius (double _radius)
| Set radius of the current scene.
ACG::Vec3d | trackballCenter ()
| Get virtual trackball center (rotation center when using mouse)
void | trackballCenter (ACG::Vec3d _center)
| Set virtual trackball center (rotation center when using mouse)
double | trackballRadius ()
| Get trackball radius (rotation sphere when using mouse)
void | trackballRadius (double _radius)
| Set trackball radius (rotation sphere when using mouse)

## Stereo Settings
bool | stereo_
| Flag if stereo should be enabled for the current viewer.
CursorPainter * | cursorPainter_
| Flag if stereo should be enabled for the current viewer.
ACG::Vec3d | cursorPoint3D_
| Flag if stereo should be enabled for the current viewer.
bool | cursorPositionValid_
| Flag if stereo should be enabled for the current viewer.
void | stereo (bool _stereo)
| Flag if stereo should be enabled for the current viewer.
bool | stereo ()
| Flag if stereo should be enabled for the current viewer.
CursorPainter * | cursorPainter ()
| Flag if stereo should be enabled for the current viewer.
void | cursorPainter (CursorPainter *_painter)
| Flag if stereo should be enabled for the current viewer.
ACG::Vec3d | cursorPoint3D ()
| Flag if stereo should be enabled for the current viewer.
void | cursorPoint3D (ACG::Vec3d _pos)
| Flag if stereo should be enabled for the current viewer.
bool | cursorPositionValid ()
| Flag if stereo should be enabled for the current viewer.
void | cursorPositionValid (bool _valid)
| Flag if stereo should be enabled for the current viewer.

## Viewer id handling
int | viewerId_
| Stores the id of the viewer this property belongs to.
QString | settingsSection_
| String for the Settings storage.
int | viewerId ()
| Get the id of the viewer this viewerproperties belongs to.
void | viewerId (int _id)
| Set the id of the viewer this viewerproperties belongs to.

## Detailed Description

Definition at line 107 of file ViewerProperties.hh.

## Member Function Documentation

## ◆ backgroundColor [1/3]

void Viewer::ViewerProperties::backgroundColor | ( | ACG::Vec4f | _color | ) |
| slot

Set background color.

Definition at line 237 of file ViewerProperties.cc.

## ◆ backgroundColor [2/3]

void Viewer::ViewerProperties::backgroundColor | ( | QRgb | _color | ) |
| slot

Set background color.

Definition at line 241 of file ViewerProperties.cc.

## ◆ backgroundColor [3/3]

void Viewer::ViewerProperties::backgroundColor | ( | QColor | _color | ) |
| slot

Set background color.

Definition at line 250 of file ViewerProperties.cc.

## ◆ drawModeChanged

void Viewer::ViewerProperties::drawModeChanged | ( | int | _viewerId | ) |
| signal

This signal is emitted when the drawmode changed.

## ◆ isCCWFront

bool Viewer::ViewerProperties::isCCWFront | ( |  | ) |
| slot

true if counter clockwise orientation should be used to define front facing orientation.

Definition at line 201 of file ViewerProperties.cc.

## ◆ lockUpdate

void Viewer::ViewerProperties::lockUpdate | ( |  | ) |
| slot

Lock update of display. If locked (isUpdateLocked()) then all calls to updateDisplayList() and updateGL() will have no effect! This is true until the display is unlockUpdate()'ed.

Definition at line 258 of file ViewerProperties.cc.

## ◆ snapshotBaseFileName

void Viewer::ViewerProperties::snapshotBaseFileName | ( | const QString & | _fname | ) |
| slot

Set the base file name and reset the counter for snapshots.

The current snapshot counter will be added in front of the last "." in the filename.

Note: Calling snapshotBaseFileName() will always reset the snapshot counter to 0.

Definition at line 96 of file ViewerProperties.cc.

## ◆ snapshotCounter [1/2]

void Viewer::ViewerProperties::snapshotCounter | ( | const int | _counter | ) |
| slot

Set the start index for the snapshot counter

Definition at line 161 of file ViewerProperties.cc.

## ◆ snapshotCounter [2/2]

int Viewer::ViewerProperties::snapshotCounter | ( |  | ) |
| slot

Get the counter for the current snapshot and increases the counter

Definition at line 173 of file ViewerProperties.cc.

## ◆ snapshotFileType [1/2]

void Viewer::ViewerProperties::snapshotFileType | ( | const QString & | _type | ) |
| slot

Set the file type for snapshots. defaults to png"

Definition at line 101 of file ViewerProperties.cc.

## ◆ snapshotFileType [2/2]

QString Viewer::ViewerProperties::snapshotFileType | ( |  | ) |
| slot

Get the file type for the current snapshot

Definition at line 165 of file ViewerProperties.cc.

## ◆ snapshotName

QString Viewer::ViewerProperties::snapshotName | ( |  | ) |
| slot

Get the name for the current snapshot

Definition at line 169 of file ViewerProperties.cc.

## ◆ updated

void Viewer::ViewerProperties::updated | ( |  | ) |
| signal

This signal is emitted when the configuration has been changed.

## ◆ updateLocked

bool Viewer::ViewerProperties::updateLocked | ( |  | ) |
| slot

Are updateDisplayList() and updateGL() locked? (c.f. lockUpdate())

Definition at line 270 of file ViewerProperties.cc.

## Member Data Documentation

## ◆ snapshotCounter_

int Viewer::ViewerProperties::snapshotCounter_
| private

Set the base file name and reset the counter for snapshots.

The current snapshot counter will be added in front of the last "." in the filename.

Note: Calling snapshotBaseFileName() will always reset the snapshot counter to 0.

Definition at line 167 of file ViewerProperties.hh.

## ◆ snapshotFileType_

QString Viewer::ViewerProperties::snapshotFileType_
| private

Set the base file name and reset the counter for snapshots.

The current snapshot counter will be added in front of the last "." in the filename.

Note: Calling snapshotBaseFileName() will always reset the snapshot counter to 0.

Definition at line 166 of file ViewerProperties.hh.

## ◆ snapshotName_

QString Viewer::ViewerProperties::snapshotName_
| private

Set the base file name and reset the counter for snapshots.

The current snapshot counter will be added in front of the last "." in the filename.

Note: Calling snapshotBaseFileName() will always reset the snapshot counter to 0.

Definition at line 165 of file ViewerProperties.hh.

The documentation for this class was generated from the following files:

- OpenFlipper/common/ViewerProperties.hh
- OpenFlipper/common/ViewerProperties.cc